# TODO
# - /usr/share/locale/ca_ES@valencia is needed by FileZilla-3.0.5.2-1.i686
#   (there is probably ca_ES@valencia locale in Debian glibc - merge it)
#   Temporary removed locale...
Summary:	FTP client for X Window
Summary(es.UTF-8):	Cliente FTP para el X Window
Summary(ja.UTF-8):	X Window System 用マルチスレッド FTP クライアント
Summary(pl.UTF-8):	Klient FTP dla X Window
Summary(pt_BR.UTF-8):	Cliente FTP para o X Window
Summary(ru.UTF-8):	FTP клиент для X Window
Summary(uk.UTF-8):	FTP клієнт для X Window
Name:		FileZilla
Version:	3.19.0
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://downloads.sourceforge.net/filezilla/%{name}_%{version}_src.tar.bz2
# Source0-md5:	8cbb61393e029f4bd71cfe1d1f32adeb
Patch0:		%{name}-desktop.patch
URL:		http://filezilla-project.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cppunit-devel
BuildRequires:	dbus-devel
BuildRequires:	gettext-tools
BuildRequires:	gnutls-devel >= 2.8.3
BuildRequires:	gtk+2-devel
BuildRequires:	libfilezilla-devel >= 0.5.3
BuildRequires:	libidn-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	nettle-devel >= 3.1
BuildRequires:	pkgconfig
BuildRequires:	pugixml-devel >= 1.6-2
BuildRequires:	systemd-devel
BuildRequires:	wxGTK2-unicode-devel >= 3.0.1
BuildRequires:	wxWidgets-devel >= 3.0.1
BuildRequires:	wxWidgets-utils >= 3.0.1
BuildRequires:	xdg-utils
Requires:	wxWidgets >= 3.0.1
Provides:	filezilla
Obsoletes:	filezilla
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FileZilla is a fast and reliable FTP client with lots of useful
features and an intuitive interface.

%description -l pl.UTF-8
FileZilla to szybki i wiarygodny klient FTP z wieloma przydatnymi
opcjami oraz intuicyjnym interfejsem.

%prep
%setup -q -n filezilla-%{version}
%patch0 -p1

cd locales
mv bg{_BG,}.po
mv cs{_CZ,}.po
#mv da{_DK,}.po
#mv et{_EE,}.po
mv fa{_IR,}.po
mv fi{_FI,}.po
mv gl{_ES,}.po
mv he{_IL,}.po
mv hu{_HU,}.po
mv id{_ID,}.po
mv ja{_JP,}.po
mv km{_KH,}.po
mv ko{_KR,}.po
mv lt{_LT,}.po
mv lv{_LV,}.po
mv mk{_MK,}.po
mv nb{_NO,}.po
mv nn{_NO,}.po
mv pl{_PL,}.po
mv pt{_PT,}.po
mv ro{_RO,}.po
mv sk{_SK,}.po
mv sl{_SI,}.po
mv th{_TH,}.po
mv uk{_UA,}.po
mv vi{_VN,}.po
# Temporary - FIXME:
rm -f ca@valencia.po 

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-wx-config=wx-gtk2-unicode-config \
	--with-tinyxml=builtin
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Temporary - FIXME:
rm -rf \
	$RPM_BUILD_ROOT%{_datadir}/locale/{ca_ES@valencia,co,kab,lo_LA}

%find_lang filezilla

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filezilla.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/filezilla
%attr(755,root,root) %{_bindir}/fzsftp
%attr(755,root,root) %{_bindir}/fzputtygen
%{_datadir}/appdata/filezilla.appdata.xml
%dir %{_datadir}/filezilla
%dir %{_datadir}/filezilla/docs
%{_datadir}/filezilla/docs/*
%dir %{_datadir}/filezilla/resources
%{_datadir}/filezilla/resources/*.png
%{_datadir}/filezilla/resources/*.wav
%{_datadir}/filezilla/resources/*.xml
%dir %{_datadir}/filezilla/resources/xrc
%{_datadir}/filezilla/resources/xrc/*.xrc
%dir %{_datadir}/filezilla/resources/16x16
%{_datadir}/filezilla/resources/16x16/*.gif
%{_datadir}/filezilla/resources/16x16/*.png
%dir %{_datadir}/filezilla/resources/20x20
%{_datadir}/filezilla/resources/20x20/*.png
%dir %{_datadir}/filezilla/resources/24x24
%{_datadir}/filezilla/resources/24x24/*.png
%dir %{_datadir}/filezilla/resources/32x32
%{_datadir}/filezilla/resources/32x32/*.png
%dir %{_datadir}/filezilla/resources/48x48
%{_datadir}/filezilla/resources/48x48/*.png
%dir %{_datadir}/filezilla/resources/blukis
%{_datadir}/filezilla/resources/blukis/theme.xml
%dir %{_datadir}/filezilla/resources/blukis/16x16
%{_datadir}/filezilla/resources/blukis/16x16/*.png
%dir %{_datadir}/filezilla/resources/blukis/32x32
%{_datadir}/filezilla/resources/blukis/32x32/*.png
%dir %{_datadir}/filezilla/resources/blukis/48x48
%{_datadir}/filezilla/resources/blukis/48x48/*.png
%dir %{_datadir}/filezilla/resources/cyril
%{_datadir}/filezilla/resources/cyril/theme.xml
%dir %{_datadir}/filezilla/resources/cyril/16x16
%{_datadir}/filezilla/resources/cyril/16x16/*.png
%dir %{_datadir}/filezilla/resources/flatzilla
%dir %{_datadir}/filezilla/resources/flatzilla/16x16
%{_datadir}/filezilla/resources/flatzilla/16x16/*.png
%dir %{_datadir}/filezilla/resources/flatzilla/24x24
%{_datadir}/filezilla/resources/flatzilla/24x24/*.png
%dir %{_datadir}/filezilla/resources/flatzilla/32x32
%{_datadir}/filezilla/resources/flatzilla/32x32/*.png
%dir %{_datadir}/filezilla/resources/flatzilla/48x48
%{_datadir}/filezilla/resources/flatzilla/48x48/*.png
%{_datadir}/filezilla/resources/flatzilla/theme.xml
%dir %{_datadir}/filezilla/resources/lone
%{_datadir}/filezilla/resources/lone/theme.xml
%dir %{_datadir}/filezilla/resources/lone/16x16
%{_datadir}/filezilla/resources/lone/16x16/*.png
%dir %{_datadir}/filezilla/resources/lone/32x32
%{_datadir}/filezilla/resources/lone/32x32/*.png
%dir %{_datadir}/filezilla/resources/lone/48x48
%{_datadir}/filezilla/resources/lone/48x48/*.png
%dir %{_datadir}/filezilla/resources/minimal
%{_datadir}/filezilla/resources/minimal/theme.xml
%dir %{_datadir}/filezilla/resources/minimal/16x16
%{_datadir}/filezilla/resources/minimal/16x16/*.png
%dir %{_datadir}/filezilla/resources/minimal/32x32
%{_datadir}/filezilla/resources/minimal/32x32/file.png
%dir %{_datadir}/filezilla/resources/opencrystal
%{_datadir}/filezilla/resources/opencrystal/theme.xml
%dir %{_datadir}/filezilla/resources/opencrystal/16x16
%{_datadir}/filezilla/resources/opencrystal/16x16/*.png
%dir %{_datadir}/filezilla/resources/opencrystal/20x20
%{_datadir}/filezilla/resources/opencrystal/20x20/*.png
%dir %{_datadir}/filezilla/resources/opencrystal/24x24
%{_datadir}/filezilla/resources/opencrystal/24x24/*.png
%dir %{_datadir}/filezilla/resources/opencrystal/32x32
%{_datadir}/filezilla/resources/opencrystal/32x32/*.png
%dir %{_datadir}/filezilla/resources/opencrystal/48x48
%{_datadir}/filezilla/resources/opencrystal/48x48/*.png
%dir %{_datadir}/filezilla/resources/sun
%dir %{_datadir}/filezilla/resources/sun/48x48
%{_datadir}/filezilla/resources/sun/48x48/*.png
%{_datadir}/filezilla/resources/sun/theme.xml
%dir %{_datadir}/filezilla/resources/tango
%dir %{_datadir}/filezilla/resources/tango/16x16
%{_datadir}/filezilla/resources/tango/16x16/*.png
%dir %{_datadir}/filezilla/resources/tango/32x32
%{_datadir}/filezilla/resources/tango/32x32/*.png
%dir %{_datadir}/filezilla/resources/tango/48x48
%{_datadir}/filezilla/resources/tango/48x48/*.png
%{_datadir}/filezilla/resources/tango/theme.xml
%{_iconsdir}/hicolor/*/apps/filezilla.png
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%changelog
* Sat Jul 02 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/FileZilla.git;a=log;h=master

* Thu Jun 30 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 3b39a4b
- updated to 3.19.0

* Sat May 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 95e927f
- updated to 3.18.0

* Sat May 14 2016 Witold Filipczyk <witekfl@poczta.onet.pl> e2fd494
- updated to 3.17.0.1

* Sun Apr 24 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 3872d91
- updated to 3.17.0

* Fri Apr 22 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 7b8cc71
- updated to 3.17.0-rc1
- old version of FileZilla in combination with libfilezilla-0.5.0
  did not show ftp directory listings, so upgrade to rc1

* Mon Apr 18 2016 Jan Rękorajski <baggins@pld-linux.org> c4f3f3d
- release 2 (by relup.sh)

* Sat Feb 20 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 3cd53cd
- updated to 3.15.0.2
- BR libfilezilla-devel, systemd-devel

* Mon Oct 19 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 2bbc5bd
- updated to 3.14.1

* Tue Aug 25 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 774cc04
- updated to 3.13.1
- BR pugixml-devel

* Sun Jul 12 2015 Witold Filipczyk <witekfl@poczta.onet.pl> daf29a0
- updated to 3.12.0.2
- more icons packaged

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> bf4d052
- updated gettext BR

* Mon Aug 18 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8c5f2e3
- up to 3.9.0.3

* Sun Jan 19 2014 Jan Rękorajski <baggins@pld-linux.org> 3b1f254
- finished fixing for wxWidgets 3.0
- rel 3

* Sat Jan 18 2014 Jan Rękorajski <baggins@pld-linux.org> 75d110e
- first batch of wxWidgets 3.0 fixes

* Wed Jan 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 8906ac8
- wxWidgets rebuild
- release 2 (by relup.sh)

* Mon Nov 04 2013 Łukasz Kieś <kiesiu@pld-linux.org> 09629e2
- updated to 3.7.3
- fixes CVE-2013-4206, CVE-2013-4207, CVE-2013-4208, CVE-2013-4852

* Wed Jun 19 2013 witekfl <witekfl@poczta.onet.pl> fc69c62
- 3.7.1

* Mon May 27 2013 witekfl <witekfl@poczta.onet.pl> fbbcc86
- 3.7.0.2

* Mon May 20 2013 witekfl <witekfl@poczta.onet.pl> a60202f
- 3.7.0.1

* Mon Dec 24 2012 witekfl <witekfl@poczta.onet.pl> be0abd8
- 3.6.0.2

